#!/usr/bin/python3

import os
import subprocess
from boottoolsfunctions import _run

debconf_settings = """
console-setup console-setup/charmap47 select UTF-8
console-setup console-setup/codeset47 select . Combined - Latin; Slavic Cyrillic; Greek
console-setup console-setup/fontface47 select VGA
console-setup console-setup/fontsize-fb47 select 8x16
""".strip()

subprocess.run (['debconf-set-selections'], input=debconf_settings, text=True)

os.environ['DEBIAN_FRONTEND'] = 'noninteractive'
_run (['dpkg-reconfigure', 'console-setup', 'locales'])
